Bug 454669 - coda uses invalid group on 64-bit
coda uses invalid group on 64-bit
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: coda (Show other bugs)
12
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Goode
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-09 12:41 EDT by Adam Goode
Modified: 2010-12-05 02:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:09:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Goode 2008-07-09 12:41:27 EDT
Description of problem:
Since coda does not use posix groups for files, it attempts to assign all files
to nfsnobody, a standard group. This works on 32-bit machines, but not 64-bit.
It seems coda is internally somehow hardcoding 65534 instead of -2. Or possibly
nfsnobody is just broken on 64-bit in general, but no one has noticed.

This is likely a kernel problem, unless /etc/groups is wrong. Not sure yet.


Version-Release number of selected component (if applicable):
coda-client-6.9.4-0.1.rc2.fc9.x86_64
Comment 1 Adam Goode 2008-08-31 23:57:30 EDT
This comes from the V_GID constant in venus.private.h.

We could do one of these:

  * Do a runtime check and get the gid for nfsnobody (adds dependencies on nfs-utils)

  * Patch the V_GID value on the systems that nfs-utils sets to 4294967294 (but see #455980). This also probably adds a dependency on nfs-utils.
Comment 2 Adam Goode 2008-09-01 00:01:11 EDT
Actually, maybe the thing to do is hardcode -2 in all cases, and let the linux kernel sort it out.
Comment 3 Adam Goode 2008-09-02 21:47:32 EDT
Other option: figure out why Fedora doesn't always have some group defined at 65534 like other systems.
Comment 4 Bug Zapper 2009-06-09 21:59:50 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-11-16 03:09:04 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-11-04 07:51:14 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-12-05 02:09:52 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.